#ifndef __UDS_2FSERVICE_INTERNA_H
#define __UDS_2FSERVICE_INTERNA_H

#include "TYW_stdint.h"
#include "UDS_Common.h"

#include "Telltales_user.h"
#include "Telltales.h"

void Ab_ADRWorking(uint8_t ControlStatus, uint8_t ADRWorkingStatus);
void BatteryCharging(uint8_t ControlStatus, uint8_t BatteryChargingST);
void OBDAlarm(uint8_t ControlStatus, uint8_t OBDStatus);
void M_ABSIndicator(uint8_t ControlStatus, uint8_t ABSStatus);
void T_ABSIndicator(uint8_t ControlStatus, uint8_t ABSStatus);
void M_TurnLeft(uint8_t ControlStatus, uint8_t TurnLeftStatus);
void T_TurnLeft(uint8_t ControlStatus, uint8_t TurnLeftStatus);
void M_TurnRight(uint8_t ControlStatus, uint8_t TurnRightStatus);
void T_TurnRight(uint8_t ControlStatus, uint8_t TurnRightStatus);
void HighBeam(uint8_t ControlStatus, uint8_t HighBeamStatus);
void FrontFog(uint8_t ControlStatus, uint8_t FrontFogStatus);
void RearFog(uint8_t ControlStatus, uint8_t RearFogStatus);
void PositionLight(uint8_t ControlStatus, uint8_t PositionStatus);
void StopLight(uint8_t ControlStatus, uint8_t StopLightStatus);
void ParkingBrake(uint8_t ControlStatus, uint8_t ParkingBrakeStatus);
void EDCLight(uint8_t ControlStatus, uint8_t EDCStatus);
void CruiseControl(uint8_t ControlStatus, uint8_t CruiseControlStatus);
void IntelligentAdaptiveCruise(uint8_t ControlStatus, uint8_t AdaptiveCruiseStatus);
void SeatBelt(uint8_t ControlStatus, uint8_t SeatBeltStatus);
void LowOilPressure(uint8_t ControlStatus, uint8_t LowOilPressureStatus);
void LowBrakeAirPressure(uint8_t ControlStatus, uint8_t LowBrakeAirPressureST);
void HighCoolantTemPerature(uint8_t ControlStatus, uint8_t CoolantTemPStatus);
void ExhaustBrake(uint8_t ControlStatus, uint8_t ExhaustBrakeStatus);
void AuxiliaryBrake_1(uint8_t ControlStatus, uint8_t AuxiliaryBrakeStatus);
//void AuxiliaryBrake_2(uint8_t ControlStatus, uint8_t AuxiliaryBrakeStatus);
void LowFuelOil(uint8_t ControlStatus, uint8_t LowFuelOilStatus);
//void ServiceIndicator(uint8_t ControlStatus, uint8_t ServiceIndicatorStatus);
//void GearboxLow(uint8_t ControlStatus, uint8_t GearboxLowStatus);
void ASRIndicator(uint8_t ControlStatus, uint8_t ASRStatus);
void DaytimeDriving(uint8_t ControlStatus, uint8_t DayDrivingStatus);
//void LowBatteryOfKey(uint8_t ControlStatus, uint8_t BatteryOfKeyStatus);
//void EngineAntiTheft(uint8_t ControlStatus, uint8_t BatteryOfKeyStatus);
void CabFlip(uint8_t ControlStatus, uint8_t CabFlipStatus);
void CarLift(uint8_t ControlStatus, uint8_t CarLiftStatus);
void LowCoolantLevel(uint8_t ControlStatus, uint8_t LowCoolantLevelStatus);
void EDCRepair(uint8_t ControlStatus, uint8_t EDCRepairStatus);
void LowUreaLevel(uint8_t ControlStatus, uint8_t LowUreaLevelStatus);
void TirePressureAlarm(uint8_t ControlStatus, uint8_t TirePressureStatus); 
void DiscBrakeWear(uint8_t ControlStatus, uint8_t DiscBrakeWearStatus);
void RetarderFailure(uint8_t ControlStatus, uint8_t RetarderFailureStatus);
void GearboxFailure(uint8_t ControlStatus, uint8_t GearboxFailureStatus);  
void ECASFailure(uint8_t ControlStatus, uint8_t ECASStatus);
void ECASIndicator(uint8_t ControlStatus, uint8_t ECASStatus);
void RetarderIndicator(uint8_t ControlStatus, uint8_t RetarderStatus);
void WheelDifferentialLock(uint8_t ControlStatus, uint8_t WheelDifferentialLockST);
void FloatingBridgeIndicator(uint8_t ControlStatus, uint8_t FloatingBridgeStatus);
void HighGearboxOil(uint8_t ControlStatus, uint8_t HighGearboxOilStatus);
void ParkingPower(uint8_t ControlStatus, uint8_t ParkingPowerStatus);
void AirFilterBlocked(uint8_t ControlStatus, uint8_t AirFilterBlockedStatus);
void DrivingPower(uint8_t ControlStatus, uint8_t DrivingPowerStatus);
void SplitterHigh_end(uint8_t ControlStatus, uint8_t SplitterHigh_endStatus);
void DriverDoorSwitch_St(uint8_t ControlStatus, uint8_t DriverDoorSwitchSt);
void CoDriverDoorSwitch_ST(uint8_t ControlStatus, uint8_t CoDriverDoorSwitchSt);
void AdaptiveFrontWorkingLight(uint8_t ControlStatus, uint8_t AdaptiveFrontWorkingLightST);
void AdaptiveFrontAlarmLight(uint8_t ControlStatus, uint8_t AdaptiveFrontAlarmLightST);
void RampAssistTips(uint8_t ControlStatus, uint8_t RampAssistTipsStatus);
void ACCCruiseIndicator(uint8_t ControlStatus, uint8_t ACCCruiseStatus);
void ACCCruiseFaultIndicator(uint8_t ControlStatus, uint8_t ACCCruiseFaultStatus);
void AllWheelDriveIndicator(uint8_t ControlStatus, uint8_t AllWheelDriveStatus);
void VehicleInformation(uint8_t ControlStatus, uint8_t VehicleInformation);
void CollisionAlarm(uint8_t ControlStatus, uint8_t CollisionAlarmStatus);
void GasLeakIndicator(uint8_t ControlStatus, uint8_t GasLeakStatus);
//void Ab_ADRIndicator(uint8_t ControlStatus, uint8_t Ab_ADRStatus);
void FrontWheelsLocking(uint8_t ControlStatus, uint8_t FrontWheelsLockingST);
void EBSRedLight(uint8_t ControlStatus, uint8_t EBSRedStatus);
void EBSYellowLight(uint8_t ControlStatus, uint8_t EBSYellowStatus);
void LowLevelOfSprayPot(uint8_t ControlStatus, uint8_t LowLevelOfSprayPotST);
void PowerSteeringAlarm(uint8_t ControlStatus, uint8_t PowerSteeringStatus);
void AutomaticParking_ST(uint8_t ControlStatus, uint8_t AutomaticParkingStatus);
void IndependentAutomaticParking_ST(uint8_t ControlStatus, uint8_t IndependentAutomaticParkingST);
void LoadTransfer(uint8_t ControlStatus, uint8_t LoadTransferStatus);
void DPFReproductionProhibited(uint8_t ControlStatus, uint8_t DPFStatus);
void SpeedingAlarm(uint8_t ControlStatus, uint8_t SpeedingAlarmStatus);
void PedestrianCollision(uint8_t ControlStatus, uint8_t PedestrianCollisionST);
void TSRIndicator(uint8_t ControlStatus, uint8_t TSRStatus);
void AdvancedAssistedDriving_ST(uint8_t ControlStatus, uint8_t AdvancedAssistedDrivingST);
void SVSIndicator(uint8_t ControlStatus, uint8_t SVSStatus);
void NCDIndicator(uint8_t ControlStatus, uint8_t NCDStatus);
void IHCWorkingIndicator(uint8_t ControlStatus, uint8_t IHCStatus);
void PowerBatterySystemFailure(uint8_t ControlStatus, uint8_t PowerBatterySystemFailureST);
void DriveMotorFailure(uint8_t ControlStatus, uint8_t DriveMotorFailureST);
void LowResistance(uint8_t ControlStatus, uint8_t LowResistanceStatus);
void BreakPowerBattery(uint8_t ControlStatus, uint8_t BreakPowerBatteryST);
void HighVoltagePowerUp(uint8_t ControlStatus, uint8_t HighVoltagePowerUpST);
void DriveLimitedPower_ST(uint8_t ControlStatus, uint8_t DriveLimitedPowerST);
void DriveSystemReady(uint8_t ControlStatus, uint8_t DriveSystemReadyST);
void SOCCapacityTooLow(uint8_t ControlStatus, uint8_t SOCStatus);
void PowerBatteryCharging(uint8_t ControlStatus, uint8_t PowerBatteryChargingST);
void ExChargingCableConnect(uint8_t ControlStatus, uint8_t ExChargingCableConnectST);
void OffLowSpeedAlarm(uint8_t ControlStatus, uint8_t OffLowSpeedAlarmStatus);
//void ClutchFailure(uint8_t ControlStatus, uint8_t ClutchFailureStatus);
void AirVolume_LNG(uint8_t ControlStatus, uint8_t LNGStatus);
void AirVolume_CNG(uint8_t ControlStatus, uint8_t CNGStatus);
void BackLightTest(uint8_t ControlStatus, uint8_t BackLightStatus);
void LCDTest(uint8_t ControlStatus, uint8_t LCDStatus);
void SoundTest(uint8_t ControlStatus, uint8_t SoundStatus);
void RecaculateFuelConsumption(uint8_t ControlStatus, uint8_t RecaculateFuelConsumptionST);

#endif